pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/39601: pkg_rolling-replace failure due to package renaming

>Number:         39601
>Category:       pkg
>Synopsis:       pkg_rolling-replace failure due to package renaming
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Sep 21 20:40:00 +0000 2008
>Originator:     Jared D. McNeill
>Release:        NetBSD 4.99.72
System: NetBSD 4.99.72 NetBSD 4.99.72 (GENERIC) #91: Sat Sep 
20 20:27:12 EDT 2008
Architecture: x86_64
Machine: amd64
        pkg_rolling-replace failed after updating pkgsrc today:

        ===> Installing for xkeyboard-config-1.3
        => Becoming ``root'' to make su-install-all (/usr/pkg/bin/sudo)
        ERROR: xkeyboard-config-1.3 conflicts with installed package(s):
        ERROR:     xkbdata-1.0.1nb1
        ERROR: They install the same files into the same place.
        ERROR: Please remove conflicts first with pkg_delete(1).
        *** Error code 1

        If I follow the instructions to remove the xkbdata package,
        40 other packages depend on it. If I remove them as well,
        pkg_rolling-replace isn't going to know to build new versions
        of those packages.
        Update from modular-xorg-server-1.3 to 1.4.2 with pkg_rolling-replace


Home | Main Index | Thread Index | Old Index